#include "mw.h"
#include <pgcolors.h>
#include <pgapplication.h>

#include <iostream>

bool Mw::hlpSlot(PG_Button *b)
{
	std::cout << "help\n";
	return true;
}

bool Mw::startSlot(PG_Button *b)
{
	static char mode=0;
	if( mode == 0 ){
		std::cout << "start\n";
		anim->StartGrab();
		mode = 1;
	}
	else{
		std::cout << "stop\n";
		anim->StopGrab();
		mode = 0;
	}
	
	return true;
}


Mw::Mw(PG_Widget* parent, const PG_Rect& r, char* windowtext): Window(parent, r, windowtext )	
{
	int yPos=r.Width()/5;
	int xPos=r.Height()/20;
	int ywidth=45*2;                        /*button width, heigth */
	int xwidth=180;

	hlpButton   = new PG_Button(this,  PG_Rect(xPos/14, yPos+20, 110, 40), "Help");
	startButton   = new PG_Button(this,  PG_Rect(xPos/14, yPos+60, 110, 40), "Start");
	startButton->SetToggle(1);
	
	anim = new Grabber(NULL, PG_Rect(120, 40 , 320,240) );
	anim->Show();

	hlpButton->sigClick.connect( slot(*this, &Mw::hlpSlot) );
	startButton->sigClick.connect( slot(*this, &Mw::startSlot) );

	AddChild( anim );
	AddChild( hlpButton );
	AddChild( startButton );


}

Mw::~Mw(){
	std::cout << "Destroy mw\n";
	delete anim;
}

